=== ext/ctemplate/Makefile ===
# SELECTIVELY built and install parts of ctemplate
# replacing this with a plain Makefile.am with break Linux packages

all:
	make -C ctemplate-src libctemplate_wb.la

clean:
#	make -C ctemplate-src clean

distclean:
#	make -C ctemplate-src distclean

install: 
	make -C ctemplate-src install-libLTLIBRARIES

uninstall:
#	make -C ctemplate-src uninstall
