=== debian/changelog ===
mysql-workbench (5.2.19-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 15 Apr 2010 09:45:19 -0300

mysql-workbench (5.2.18-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sun, 11 Apr 2010 00:55:22 -0300

mysql-workbench (5.2.17-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 22 Feb 2010 10:46:37 +0100

mysql-workbench (5.2.16-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 10 Feb 2010 17:46:06 -0300

mysql-workbench (5.2.15-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 25 Jan 2010 10:49:16 -0300

mysql-workbench (5.2.14-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 20 Jan 2010 15:34:01 +0100

mysql-workbench (5.2.13-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 19 Jan 2010 00:50:59 -0300

mysql-workbench (5.2.12-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 15 Jan 2010 09:32:44 +0100

mysql-workbench (5.2.11-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 11 Dec 2009 14:55:19 +0100

mysql-workbench (5.2.10-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 30 Nov 2009 12:47:31 +0100

mysql-workbench (5.2.9-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 26 Nov 2009 00:37:14 +0100

mysql-workbench (5.2.8-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 16 Nov 2009 12:24:42 -0300

mysql-workbench (5.2.7-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 21 Oct 2009 14:50:08 +0200

mysql-workbench (5.2.6-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Tue, 20 Oct 2009 22:32:21 +0200

mysql-workbench (5.2.5-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 14 Oct 2009 13:58:09 +0200

mysql-workbench (5.2.4-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 29 Sep 2009 21:28:09 -0300

mysql-workbench (5.2.3-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Thu, 10 Sep 2009 11:14:08 -0300

mysql-workbench (5.2.2-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 20 Jul 2009 14:33:42 -0300

mysql-workbench (5.2.1-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 21 May 2009 13:55:51 +0200

mysql-workbench (5.1.12-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 22 Apr 2009 09:16:31 -0700

mysql-workbench (5.1.11-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 17 Apr 2009 22:39:51 +0200

mysql-workbench (5.1.10-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Tue, 07 Apr 2009 19:00:15 +0200

mysql-workbench (5.1.9-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 20 Mar 2009 00:56:34 +0100

mysql-workbench (5.1.8-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 11 Mar 2009 20:37:07 -0200

mysql-workbench (5.1.7-2) unstable; urgency=low

  * Added build-depends (thanks to Pantelis Koukousoulas)
  * Updated for Python dependency

 -- Alfredo Kojima <kojima@sun.com>  Mon, 02 Feb 2009 20:49:11 -0200

mysql-workbench (5.1.7-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Fri, 30 Jan 2009 15:21:11 -0200

mysql-workbench (5.1.6-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 23 Dec 2008 22:51:51 -0200

mysql-workbench (5.1.5-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gui-srva>  Fri, 05 Dec 2008 18:00:37 +0100

mysql-workbench (5.1.4-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gui-srva>  Thu, 06 Nov 2008 23:21:05 +0100

mysql-workbench (5.1.3-1) unstable; urgency=low

  * Disable optimization during build
  * Minor fixes

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Wed, 07 Oct 2008 11:56:30 +0300

mysql-workbench (5.1.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- myehorov <myehorov@unknown>  Mon, 06 Oct 2008 13:58:14 +0300
