=== debian/control ===
Source: mysql-workbench
Section: utils
Priority: extra
Maintainer: MySQL Workbench team <workbench@sun.com>
Build-Depends: debhelper (>= 5), autoconf, automake, libtool, libzip-dev, libgtkmm-2.4-dev, libxml2-dev, libglade2-dev, libgnome2-dev, libmysqlclient16-dev, uuid-dev, libgl1-mesa-dev, libpcre3-dev, liblua5.1-0-dev, python-dev, python-pexpect, libgnome-keyring-dev
Standards-Version: 3.7.2
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-oss
Architecture: i386 amd64
Depends: ${shlibs:Depends}, python-paramiko, python-pexpect, mysql-client, gnome-keyring
Description: MySQL Workbench
 A database diagramming and development tool for MySQL.
